* ---------------------------------------------------------
* - XPWDEMO.PRG
* - 
* - Short program to demonstrate the XPW Password Function.
* -
* - Gordon King  CIS 100265,1231  10June95
* -
* - Updated for XPW v2.10  21 June 95
* - Updated for XPW v2.20  24 September 95
* ---------------------------------------------------------

wait window "XPW Demo. 'Wait Windows' Used for Messages..."
* -
* - Check if any Password (PW) is stored at index 2...
* - Add or Change PW at index 2.
* -
m.llPW2 = xpw("Exist", 2)
wait window "Enter your 'Data Access' Password Index 2..." nowait
if xpw("Change", 2)
	Wait window "Password Index 2 has been " + ;
		iif(m.llPW2, "Changed...", "Added...")
else
	wait window "Error, Incorrect Entry!"
endif
* -
* - Checking a PW is easy...
* -
wait window "Browse XPW Data File, Enter Your Data Access PW (2)..." nowait
if xpw("Check", 2)
	select 0
	use X8087.PWX again alias X8087
	browse last ;
		title "XPW Data Table" ;
		normal ;
		noappend ;
		nodelete ;
		noedit
	use
else
	wait window "Sorry (not <s>), Incorrect Password. "
endif

* ------------------------------------------------------- v2.10 ---
* - You can also use descriptive PW indexes, instead of numbers, e.g.
* - 
* - In v2.20 you can check either of TWO passwords and you can also
* - display a message in the password window.
* - 
* - Check if PW Index "Accounts" exist 
* -
m.llPW = xpw("exist", "Accounts")
wait window "Password Control on Accounts " + ;
			iif(m.llPW, "is Set.", "is NOT Set.")
* -
if ! xpw("exist", "Manager")
	= xpw("Add", "Manager", "", "Enter a Manager's password...")
endif
* -
wait window "Stock Delete Password Entry/Check..." nowait
if ! xpw("exist", "Stock Delete")
	= xpw("Add", "Stock Delete", "", ;
		"Add a Password to Control Stock Delete.")
endif
if xpw("exist", "Stock Delete")
	if xpw("Check", "Stock Delete", "Manager", ;
		"Enter Either the Manager's or the Stock Delete Password:")
		wait window "Correct PW, you are allowed to delete stock records."
	else
		wait window "Invalid PW, you can not delete stock records."
	endif
endif

wait window "Thanks for Trying the XPW Demo..." timeout 5
